ATA_SCSI_CHANGE_QUEU(9)

NAME
ata_scsi_change_queue_depth - SCSI callback for queue depth config

SYNOPSIS

int ata_scsi_change_queue_depth(struct scsi_device * sdev, int queue_depth);

ARGUMENTS

sdev
    SCSI device to configure queue depth for

queue_depth
    new queue depth

DESCRIPTION

This is libata standard hostt->change_queue_depth callback. SCSI will call into this callback when user tries to set queue depth via sysfs.

LOCKING

SCSI layer (we don't care)

RETURNS

Newly configured queue depth.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT